﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MVCPassiveModelForWinForms.Controllers;
using MVCPassiveModelForWinForms.Models;

namespace MVCPassiveModelForWinForms.Views
{
    public partial class ComputerView : System.Web.UI.UserControl
    {
        private ComputerController Control;
        private ComputerModel Model = new ComputerModel("Computer Accessories", 30, 20, 40);
        protected void Page_Load(object sender, EventArgs e)
        {
            Control = new ComputerController(Model, this);
            Control.InitializedConponent(IsPostBack);
        }
        public int Monitor { get; set; }
        public int Fan { get; set; }
        public int Motherboard { get; set; }
        protected void btnUpdate_Click(object sender, EventArgs e)
        {
            Monitor = Convert.ToInt32(txtMonitor.Text.ToString());
            Fan = Convert.ToInt32(txtFan.Text.ToString());
            Motherboard = Convert.ToInt32(txtMotherboard.Text.ToString());
            Control.RequestUpdate(this);
        }
        public void Update(ComputerModel paramModel)
        {
            UpdateInterface(paramModel);
        }
        public void UpdateInterface(ComputerModel auto)
        {
            if (Monitor != auto.Monitor)
            {
                lblMonitor.Text = auto.Monitor.ToString();
            }
            if (Fan != auto.Fan)
            {
                lblFan.Text = auto.Fan.ToString();
            }
            if (Motherboard != auto.Motherboard)
            {
                lblMotherboard.Text = auto.Motherboard.ToString();            
            }
        }
        public void InitializedView(ComputerModel paramModel)
        {
            lblMonitor.Text = paramModel.Monitor.ToString();
            lblFan.Text = paramModel.Fan.ToString();
            lblMotherboard.Text = paramModel.Motherboard.ToString();
        }
    }
}